---
name: 🙋‍ Ask a Question
about: Ask any kind of question

---

**What are you trying to do?**
Please describe first **what you are trying to do** before your actual problem. Some times there is a conceptually simpler way of doing things, but we get stuck into the details of our way. This is known as [the XY Problem](https://meta.stackexchange.com/q/66377/179259).

**Have you tried this first?**
Since server is maintained mainly only by [Francisco Presencia](https://francisco.io/), it is recommended that you try to fix the problem on your own before asking a question. But if you have tried and couldn't fix it, feel free to ask! Make sure to do this first though:

- [ ] Try to find an answer by reading [the documentation](https://serverjs.io/documentation/) and [tutorials](https://serverjs.io/tutorials/).
- [ ] Try to find an answer by searching [previous Github issues](https://github.com/franciscop/server/issues/).
- [ ] Try to find an answer by searching the Web.
- [ ] Try to find an answer by inspection or experimentation.
- [ ] Try to find an answer by asking a skilled friend.
- [ ] Try to find an answer by reading the source code.

**Ask your question**
A clear and concise description of what you want to achieve and the issues you are facing.

**Environment (optional):**
 - OS:
 - Node.js:
 - Server.js:

**Additional context (optional)**
Add any other context about the problem here.
